For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • v2 Migration
    • Webflow v1 API Deprecation Notice
    • Migrating to v2
  • Meta
    • GETAuthorized User
    • GETAuthorized Info
  • Sites
      • GETList Webhooks
      • POSTCreate Webhook
      • GETGet Webhook
      • DELRemove Webhook
  • CMS
  • Ecommerce
LogoLogo
Resources
Get started
SitesWebhooks

Create Webhook

POST
https://api.webflow.com/sites/:site_id/webhooks
POST
/sites/:site_id/webhooks
$curl -X POST https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/webhooks \
> -H "Accept-Version: 1.0.0" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "triggerType": "form_submission",
> "url": "https://api.mydomain.com/webhook"
>}'
1{
2 "_id": "582266e0cd48de0f0e3c6d8b",
3 "triggerType": "form_submission",
4 "triggerId": "562ac0395358780a1f5e6fbd",
5 "site": "562ac0395358780a1f5e6fbd",
6 "createdOn": "2016-11-08T23:59:28.572Z"
7}
Create a new webhook
Was this page helpful?
Previous

Get Webhook

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "uuid"
Unique identifier for a Site

Headers

Accept-VersionstringOptional
The API version

Request

The webhook item to create
triggerTypeenumRequired
* `form_submission` - Sends the [form_submission](#form_submission) event * `site_publish` - Sends a [site_publish](#site_publish) event * `ecomm_new_order` - Sends the new [ecomm_new_order](#ecomm_new_order) event * `ecomm_order_changed` - Sends the [ecomm_order_changed](#ecomm_order_changed) event * `ecomm_inventory_changed` - Sends the [ecomm_inventory_changed](#ecomm_inventory_changed) event * `collection_item_created` - Sends the [collection_item_created](#collection_item_created) event * `collection_item_changed` - Sends the [collection_item_changed](#collection_item_changed) event * `collection_item_deleted` - Sends the [collection_item_deleted](#collection_item_deleted) event * `collection_item_unpublished` - Sends the [collection_item_unpublished](#collection_item_unpublished) event * `comment_created` - Sends the [comment_created](#comment_created) event
urlstringRequiredformat: "uri"
The https URL on your server the webhook will send a request to when the webhook is triggered
filterobjectOptional

filter for selecting which events you want webhooks to be triggered for. ** Only available for form_submission trigger types.

Response

Request was successful
_idstringformat: "uuid"
Unique identifier for a Webhook
triggerTypeenum
  • form_submission - Sends the form_submission event
  • site_publish - Sends a site_publish event
  • ecomm_new_order - Sends the new ecomm_new_order event
  • ecomm_order_changed - Sends the ecomm_order_changed event
  • ecomm_inventory_changed - Sends the ecomm_inventory_changed event
  • collection_item_created - Sends the collection_item_created event
  • collection_item_changed - Sends the collection_item_changed event
  • collection_item_deleted - Sends the collection_item_deleted event
  • collection_item_unpublished - Sends the collection_item_unpublished event
  • comment_created - Sends the comment_created event
triggerIdstringformat: "uuid"
Unique identifier for the Webhook Trigger
sitestringformat: "uuid"
Unique identifier for a Webhook
filterobject
filter for selecting which events you want webhooks to be triggered for.
lastUsedstringformat: "date-time"
Date trigger was last used
createdOnstringformat: "date-time"
Date trigger was created

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error
  • form_submission - Sends the form_submission event
  • site_publish - Sends a site_publish event
  • ecomm_new_order - Sends the new ecomm_new_order event
  • ecomm_order_changed - Sends the ecomm_order_changed event
  • ecomm_inventory_changed - Sends the ecomm_inventory_changed event
  • collection_item_created - Sends the collection_item_created event
  • collection_item_changed - Sends the collection_item_changed event
  • collection_item_deleted - Sends the collection_item_deleted event
  • collection_item_unpublished - Sends the collection_item_unpublished event
  • comment_created - Sends the comment_created event